Gem push rubygems.org error

ly7524126 · 发布于 2017年2月06日 · 最后由 ly7524126 回复于 2017年2月06日 · 217 次阅读
18887

练习写ruby gem能生成gem 但push不到rubygems.org上去 寻求帮助!!

# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'first_test/version'

Gem::Specification.new do |spec|
  spec.name          = "first_test"
  spec.version       = FirstTest::VERSION
  spec.authors       = ["li-yun"]
  spec.email         = ["li-yun...."]

  spec.summary       = %q{range create array}
  spec.description   = %q{range create array}
  spec.homepage      = "https://github.com/lyzrnkfg/first_test"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "http://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"
end

共收到 2 条回复
De6df3
  1. 搞测试就别 push 到 rubygems.org 了,浪费公共资源。
  2. 真正的问题是,你不应该配置 spec.metadata['allowed_push_host']http:// 可能被认为不安全,给拒绝了
18887

@huacnlee 学的时间不长不太懂 下回一定注意 谢谢😅

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册